KPty Class Reference

`#include <kpty.h>`

## Public Member Functions

| KPty ()
| ~KPty ()
bool | open ()
void | close ()
void | setCTty ()
void | login (const char *user=0, const char *remotehost=0)
void | logout ()
void | setWinSize (int lines, int columns)
void | setXonXoff (bool useXonXoff)
void | setUtf8Mode (bool useUtf8)
const char * | ttyName () const
int | masterFd () const
int | slaveFd () const

## Detailed Description

Provides a high level representation of a pseudo tty pair, including utmp support.

...

Since
  3.2

Definition at line 40 of file kpty.h.

## Constructor & Destructor Documentation

KPty::KPty | ( |  | ) |

Constructor.

Definition at line 193 of file kpty.cpp.

KPty::~KPty | ( |  | ) |

Destructor:

If the pty is still open, it will be closed. Note, however, that an utmp registration is not undone.

Definition at line 198 of file kpty.cpp.

## Member Function Documentation

void KPty::close | ( |  | ) |

Close the pty master/slave pair.

Definition at line 357 of file kpty.cpp.

void KPty::login | ( | const char * | user = `0`,
|  | const char * | remotehost = `0`
| ) |  |

Creates an utmp entry for the tty.

This function must be called after calling setCTty and making this pty the stdin.

Parameters

  user | the user to be logged on
  remotehost | the host from which the login is coming. This is not the local host. For remote logins it should be the hostname of the client. For local logins from inside an X session it should be the name of the X display. Otherwise it should be empty.

Definition at line 404 of file kpty.cpp.

void KPty::logout | ( |  | ) |

Removes the utmp entry for this tty.

Definition at line 447 of file kpty.cpp.

int KPty::masterFd | ( |  | ) | const

Returns
  the file descriptor of the master pty

This function should be called only while the pty is open.

Definition at line 524 of file kpty.cpp.

bool KPty::open | ( |  | ) |

Create a pty master/slave pair.

Returns
  true if a pty pair was successfully opened

Definition at line 204 of file kpty.cpp.

void KPty::setCTty | ( |  | ) |

Creates a new session and process group and makes this pty the controlling tty.

Definition at line 379 of file kpty.cpp.

void KPty::setUtf8Mode | ( | bool | useUtf8 | ) |

Set the pty in utf8 mode on systems that support it.

See the man page of "stty iutf8" for more info.

Since
  3.4

Definition at line 497 of file kpty.cpp.

void KPty::setWinSize | ( | int | lines,
|  | int | columns
| ) |  |

Change the logical (screen) size of the pty.

The default is 24 lines by 80 columns.

Parameters

  lines | the number of rows
  columns | the number of columns

Definition at line 469 of file kpty.cpp.

void KPty::setXonXoff | ( | bool | useXonXoff | ) |

Set whether the pty should honor Xon/Xoff flow control.

Xon/Xoff flow control is off by default.

Parameters

  useXonXoff | true if Xon/Xoff flow control should be used.

Definition at line 477 of file kpty.cpp.

int KPty::slaveFd | ( |  | ) | const

Returns
  the file descriptor of the slave pty

This function should be called only while the pty is open.

Definition at line 529 of file kpty.cpp.

const char * KPty::ttyName | ( |  | ) | const

Returns
  the name of the slave pty device.

This function should be called only while the pty is open.

Definition at line 519 of file kpty.cpp.

The documentation for this class was generated from the following files:

- kpty.h
- kpty.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys